Bug 435477 - At least some langpacks are incomplete and untestable
At least some langpacks are incomplete and untestable
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: firefox (Show other bugs)
5.2
All Linux
high Severity high
: rc
: ---
Assigned To: Gecko Maintainer
desktop-bugs@redhat.com
:
Depends On:
Blocks: RHEL5u2_relnotes
  Show dependency treegraph
 
Reported: 2008-02-29 11:17 EST by Daniel Riek
Modified: 2010-03-14 17:28 EDT (History)
3 users (show)

See Also:
Fixed In Version: RHEA-2008-0479
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 10:25:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Riek 2008-02-29 11:17:41 EST
Description of problem:
Firefox 3 Beta in 5.2Beta will not start if e.g. the language environment is set
to German.

Version-Release number of selected component (if applicable):
firefox-3.0-0.beta2.11.el5

How reproducible:
Set the language environment to German and start Firefox

Steps to Reproduce:
1. [test@scorp ~]$ export LANG="de_DE"
2. [test@scorp ~]$ firefox &
  
Actual results:
A window opens saying:

XML-Verarbeitungsfehler: Nicht definierte Entität
Adresse: chrome://browser/content/browser.xul
Zeile Nr. 213, Spalte 5:    <key id="showAllHistoryKb"
key="&showAllHistoryCmd.commandkey;" command="Browser:ShowAllHistory"
modifiers="accel,shift"/>
----^

Expected results:
A firefox window.

Additional info:
Similar results e.g. with pt_BR or fr_FR settings.
Suggested solution is to remove the langpacks for the Beta and have a
releasenote say that testing is only in English. Add back langpacks in a new
Firefox RPM post-beta - that has to happen anyways to track Firefox 3 upstream
Betas.
Comment 1 Christopher Aillon 2008-02-29 11:19:07 EST
dev-ack.
Comment 4 Don Domingo 2008-03-02 19:31:10 EST
adding to RHEL5.2 release notes (Beta) under "known issues":

<quote>
Beta testing for Red Hat Enterprise Linux is done primarily in English only. As
such, some language packs may not work.
</quote>

please advise if any further revisions are required. thanks!
Comment 6 Martin Stransky 2008-03-03 06:10:29 EST
langpacks have been disabled in CVS, package firefox-3.0-0.beta3.2.el5
Comment 12 Don Domingo 2008-04-01 22:11:14 EDT
Hi,
the RHEL5.2 release notes will be dropped to translation on April 15, 2008, at
which point no further additions or revisions will be entertained.

a mockup of the RHEL5.2 release notes can be viewed at the following link:
http://intranet.corp.redhat.com/ic/intranet/RHEL5u2relnotesmockup.html

please use the aforementioned link to verify if your bugzilla is already in the
release notes (if it needs to be). each item in the release notes contains a
link to its original bug; as such, you can search through the release notes by
bug number.

Cheers,
Don
Comment 13 Martin Stransky 2008-04-02 04:29:46 EDT
Langpacks are fixed in the latest firefox package (firefox-3.0-0.beta4.1.el5) so
we don't need any release notes about it. Although some info about the firefox
rebase would be great...
Comment 14 Don Domingo 2008-04-02 21:30:36 EDT
Hi Martin,
if you could post that info (about the firefox rebase) in this bug, i'll add it
to the RHEL5.2 release notes. or post a link to it from here. :-) 
Comment 15 Martin Stransky 2008-04-03 05:31:19 EDT
Chris, do you have any idea what should be in the rel-notes?
Comment 17 Martin Stransky 2008-04-09 12:52:32 EDT
Should be fixed in firefox-3.0-0.beta5.1.el5.
Comment 19 Martin Stransky 2008-04-09 14:34:05 EDT
Added fix to CVS, package firefox-3.0-0.beta5.2.el5
Comment 23 errata-xmlrpc 2008-05-21 10:25:03 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2008-0479.html

Note You need to log in before you can comment on or make changes to this bug.